Heartbleed

On Tuesday, April 8th, news spread about an internet-wide security vulnerability nicknamed “Heartbleed”. Though Generations Bank’s exposure to Heartbleed was inconsequential, we feel it is best to explain the situation and give you piece of mind that Generations Bank has taken this very seriously, and neutralized any potential vulnerabilities.

What is Heartbleed?

The Heartbleed bug was recently discovered in OpenSSL, a software library that protects almost two-thirds of all web sites. This bug, made public this week, could allow someone to read information from communications that would normally be protected by SSL/TLS encryption. An important note, www.www.mygenbank.com was not affected by Heartbleed.

How did Generations Bank take action?

Generations Bank has completed a review of all relevant systems, and found that our exposure to this vulnerability was extremely limited. Patches were applied immediately to any systems that could have possibly been affected; however, there is no evidence to suggest any breach.

What can I do next?

As a precaution, we recommend that you reset all internet passwords. Though the Generations Bank Internet Banking Platform was unaffected by Heartbleed, you will want to change any other passwords you use online. Please try and assess whether or not the service provider in question has addressed this exposure prior to changing any passwords, most will have a posting on their website.

What if I have more questions?

If you have further questions regarding the Heartbleed vulnerability, please visit www.heartbleed.com.